[node]
; mandatory
; optional fields: mode (=online), publicationFrequencyInSeconds (=60), authorizeChildrenContext (=false)
mode = offline
hostname = localhost
protocol = http
port = 8080
infrastructure = gcube
authorizeChildrenContext = true
publicationFrequencyInSeconds = 60

[properties]
; not mandatory
SmartGearsDistribution = 4.0.0-SNAPSHOT
SmartGearsDistributionBundle = 4.0.0-SNAPSHOT

[site]
; mandatory
country = it
location = rome

;[proxy]
; not mandatory
;protocol = https
;hostname = proxy
;port = 80


[authorization]
; mandatory
; optional fields: provider factory (=org.gcube.smartgears.security.defaults.DefaultAuthorizationProviderFactory)
factory = org.gcube.smartgears.security.defaults.DefaultAuthorizationProviderFactory
factory.endpoint = https://accounts.dev.d4science.org/auth/realms/d4science/protocol/openid-connect/token
credentials.class = org.gcube.smartgears.security.SimpleCredentials
credentials.clientID = testClient
credentials.secret = testSecret

;[persistence]
; not mandatory (default is LocalPersistence writing in the ghn home)
;class = utils.PersistenceWriterTest
;location = /tmp 